## pishutdown 0.32

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = pishutdown
PACKAGE = pishutdown
VERSION = 0.4

SHELL = /bin/bash

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = /usr/lib/aarch64-linux-gnu
localedir = ${datarootdir}/locale
subdir = po
install_sh = ${SHELL} /home/spl/dev/pishutdown/install-sh
# Automake >= 1.8 provides $(MKDIR_P).
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/pishutdown.c

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

AM_DEFAULT_VERBOSITY = 0
INTLTOOL_V_MSGFMT = $(INTLTOOL__v_MSGFMT_$(V))
INTLTOOL__v_MSGFMT_= $(INTLTOOL__v_MSGFMT_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MSGFMT_0 = @echo "  MSGFMT" $@;

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $* $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(INTLTOOL_V_MSGFMT)$(MSGFMT) -o $@ $<

.po.gmo:
	$(INTLTOOL_V_MSGFMT)file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info ctags tags CTAGS TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## pishutdown 0.15

=== debian/changelog ===
pishutdown (0.15) buster; urgency=medium

  * Added Slovak translation

 -- Simon Long <simon@raspberrypi.com>  Mon, 07 Dec 2020 08:03:06 +0000

pishutdown (0.14) buster; urgency=medium

  * Add Russian translation

 -- Simon Long <simon@raspberrypi.com>  Fri, 30 Oct 2020 10:56:09 +0000

pishutdown (0.13) buster; urgency=medium

  * Kill Orca before reboot or shutdown

 -- Simon Long <simon@raspberrypi.com>  Tue, 13 Oct 2020 16:39:18 +0100

pishutdown (0.12) buster; urgency=medium

  * Add Italian translation

 -- Simon Long <simon@raspberrypi.com>  Fri, 24 Apr 2020 10:46:22 +0100

pishutdown (0.11) buster; urgency=medium

  * Add Polish translation

 -- Simon Long <simon@raspberrypi.org>  Wed, 04 Sep 2019 10:12:32 +0100

pishutdown (0.10) buster; urgency=medium

  * Added Norwegian translation

 -- Simon Long <simon@raspberrypi.org>  Wed, 21 Aug 2019 09:55:28 +0100

pishutdown (0.9) stretch; urgency=medium

  * Resize properly when system font size changes

 -- Simon Long <simon@raspberrypi.org>  Thu, 11 Jan 2018 13:35:53 +0000

pishutdown (0.8) jessie; urgency=medium

  * Allow escape key to close application

 -- Simon Long <simon@raspberrypi.org>  Fri, 12 May 2017 16:23:42 +0100

pishutdown (0.7) jessie; urgency=medium

  * Corrected path for service system function

 -- Simon Long <simon@raspberrypi.org>  Thu, 13 Oct 2016 14:21:46 +0100

pishutdown (0.6) jessie; urgency=medium

  * Absolute paths used for all system functions

 -- Simon Long <simon@raspberrypi.org>  Fri, 07 Oct 2016 16:33:59 +0100

pishutdown (0.5) jessie; urgency=medium

  * Exit option now closes current xsession, rather than killing all sessions

 -- Simon Long <simon@raspberrypi.org>  Tue, 04 Oct 2016 13:41:21 +0100

pishutdown (0.4) jessie; urgency=medium

  * Window width increased

 -- Simon Long <simon@raspberrypi.org>  Mon, 18 Jul 2016 15:30:00 +0100

pishutdown (0.3) jessie; urgency=medium

  * pclose added
  * German translation added
  * Remove sudo prefix from commands

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 27 May 2016 11:05:54 +0100

pishutdown (0.2) jessie; urgency=medium

  * Accelerators added
  * Text tweaks

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 21 Apr 2016 17:44:39 +0100

pishutdown (0.1) unstable; urgency=low

  * Initial release

 -- Simon Long <simon@raspberrypi.org>  Mon, 14 Mar 2016 13:00:00 +0000

=== debian/control ===
Source: pishutdown
Section: utils
Priority: optional
Maintainer: Simon Long <simon@raspberrypi.org>
Build-Depends: debhelper (>= 9), autotools-dev, intltool, libglib2.0-dev, libgtk2.0-dev
Standards-Version: 3.9.5
Homepage: http://github.com/raspberrypi/pishutdown

Package: pishutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, procps
Description: Desktop shutdown helper for Raspberry Pi
 Small application offering shutdown / reboot / logout options, run from the
 shutdown option on the main menu.

## pishutdown 0.32

=== debian/changelog ===
pishutdown (0.32) bookworm; urgency=medium

  * Text change

 -- Simon Long <simon@raspberrypi.com>  Tue, 18 Mar 2025 14:13:08 +0000

pishutdown (0.31) bookworm; urgency=medium

  * Add lock screen option

 -- Simon Long <simon@raspberrypi.com>  Thu, 06 Mar 2025 14:47:55 +0000

pishutdown (0.30) bookworm; urgency=medium

  * Remove libinput handling

 -- Simon Long <simon@raspberrypi.com>  Tue, 17 Sep 2024 12:00:33 +0100

pishutdown (0.29) bookworm; urgency=medium

  * Translation update

 -- Simon Long <simon@raspberrypi.com>  Tue, 16 Jul 2024 07:45:08 +0100

pishutdown (0.28) bookworm; urgency=medium

  * Kill processes directly rather than via logind

 -- Simon Long <simon@raspberrypi.com>  Wed, 08 May 2024 11:25:05 +0100

pishutdown (0.27) bookworm; urgency=medium

  * Use original process killing mechanism if booted to command line

 -- Simon Long <simon@raspberrypi.com>  Wed, 14 Feb 2024 14:18:40 +0000

pishutdown (0.26) bookworm; urgency=medium

  * Use systemd-login D-Bus to logout users

 -- Simon Long <simon@raspberrypi.com>  Thu, 01 Feb 2024 13:38:19 +0000

pishutdown (0.25) bookworm; urgency=medium

  * Use libinput to detect power key presses

 -- Simon Long <simon@raspberrypi.com>  Wed, 31 Jan 2024 14:29:59 +0000

pishutdown (0.24) bookworm; urgency=medium

  * Add labwc compatibility

 -- Simon Long <simon@raspberrypi.com>  Thu, 11 Jan 2024 14:11:58 +0000

pishutdown (0.23) bookworm; urgency=medium

  * More efficient wayfire test

 -- Simon Long <simon@raspberrypi.com>  Mon, 10 Jul 2023 10:05:33 +0100

pishutdown (0.22) bookworm; urgency=medium

  * Added Korean translation

 -- Simon Long <simon@raspberrypi.com>  Wed, 05 Apr 2023 11:48:28 +0100

pishutdown (0.21) bullseye; urgency=medium

  * Use systemctl is-active to check lightdm status

 -- Simon Long <simon@raspberrypi.com>  Tue, 07 Feb 2023 14:10:36 +0000

pishutdown (0.20) bullseye; urgency=medium

  * Just kill wayfire process to logout

 -- Simon Long <simon@raspberrypi.com>  Tue, 31 Jan 2023 07:26:49 +0000

pishutdown (0.19) bullseye; urgency=medium

  * Add Wayland compatibility

 -- Simon Long <simon@raspberrypi.com>  Tue, 06 Dec 2022 17:33:47 +0000

pishutdown (0.18) bullseye; urgency=medium

  * Add French translation

 -- Simon Long <simon@raspberrypi.com>  Thu, 18 Nov 2021 11:24:08 +0000

pishutdown (0.17) bullseye; urgency=medium

  * Fix translation bug

 -- Simon Long <simon@raspberrypi.com>  Fri, 08 Oct 2021 09:48:27 +0100

pishutdown (0.16) bullseye; urgency=medium

  * GTK+3 version

 -- Simon Long <simon@raspberrypi.com>  Fri, 26 Mar 2021 14:09:55 +0000

=== debian/control ===
Source: pishutdown
Section: utils
Priority: optional
Maintainer: Simon Long <simon@raspberrypi.com>
Build-Depends: debhelper-compat (= 13), meson, libgtk-3-dev (>= 3.24), intltool (>= 0.40.0)
Standards-Version: 4.5.1
Homepage: http://raspberrypi.com/

Package: pishutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk-3-0 (>= 3.24), procps
Description: Desktop shutdown helper for Raspberry Pi
 Small application offering shutdown / reboot / logout options, run from the
 shutdown option on the main menu.

## pishutdown 0.34

=== debian/changelog ===
pishutdown (0.34) trixie; urgency=medium

  * Hide screen lock button if no password set for current user

 -- Simon Long <simon@raspberrypi.com>  Fri, 19 Sep 2025 13:59:23 +0100

pishutdown (0.33) trixie; urgency=medium

  * Fix dependencies

 -- Simon Long <simon@raspberrypi.com>  Tue, 15 Jul 2025 14:45:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: pishutdown
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk-3-0 (>= 3.24), procps
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps
 Description: Desktop shutdown helper for Raspberry Pi
  Small application offering shutdown / reboot / logout options, run from the
  shutdown option on the main menu.

## pishutdown 0.35

=== debian/changelog ===
pishutdown (0.35) trixie; urgency=medium

  * Make button insensitive rather than hiding if no password

 -- Simon Long <simon@raspberrypi.com>  Tue, 23 Sep 2025 11:33:37 +0100
